# fn() valueConstruct
Constructs an object at specified position.

Defined in | <seqan/basic.h>
Signature | `void valueConstruct(iterator [, param [, move_tag]]);`

## Parameters

`iterator` | Pointer or iterator to position where the object should be constructed.
`param` | Parameter that is forwarded to constructor.
`moveTag` | Instance of the move tag. If the tag is specified, it is forwarded to the constructor, so the constructed object must support move construction.

## Detailed Description

The type of the destructed object is the value type of `iterator`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn valueConstruct
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Constructs an object at specified position.
     *
     * @signature void valueConstruct(iterator [, param [, move_tag]]);
     *
     * @param[in,out] iterator Pointer or iterator to position where the object
     *                         should be constructed.
     * @param[in] param Parameter that is forwarded to constructor.
     * @param[in] moveTag Instance of the move tag. If the tag is specified, it is
     *                    forwarded to the constructor, so the constructed object
     *                    must support move construction.
     *
     * The type of the destructed object is the value type of <tt>iterator</tt>.
     */